Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class RepeatPattern.ByWeek

    java.lang.Object
      portlets.compoze.groupware.RepeatPattern.ByWeek

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  RepeatPattern

public static class RepeatPattern.ByWeek
extends java.lang.Object
implements java.io.Serializable

This class represents the by weeks.

See Also:
  Serialized Form

Field Summary
`static RepeatPattern.ByWeek` | `FIFTH` This value represents the 'fifth week'.
`static RepeatPattern.ByWeek` | `FIRST` This value represents the 'first week'.
`static RepeatPattern.ByWeek` | `FOURTH` This value represents the 'fourth week'.
`static RepeatPattern.ByWeek` | `SECOND` This value represents the 'second week'.
`static RepeatPattern.ByWeek` | `THIRD` This value represents the 'third week'.
`static int` | `VALUE_FIFTH` The value that represents the 'fifth week'.
`static int` | `VALUE_FIRST` The value that represents the 'first week'.
`static int` | `VALUE_FOURTH` The value that represents the 'fourth week'.
`static int` | `VALUE_SECOND` The value that represents the 'second week'.
`static int` | `VALUE_THIRD` The value that represents the 'third week'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static RepeatPattern.ByWeek` | `get(int iValue)` Gets the by weeks by its value.
`static java.util.List` | `getByWeeks()` Gets the list of by weeks.
`java.lang.String` | `getKey()` Gets the i18n resource key name.
`int` | `getValue()` Gets the value of the by week.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_FIRST

    public static final int VALUE_FIRST

  The value that represents the 'first week'.

  See Also:
    Constant Field Values

### VALUE_SECOND

    public static final int VALUE_SECOND

  The value that represents the 'second week'.

  See Also:
    Constant Field Values

### VALUE_THIRD

    public static final int VALUE_THIRD

  The value that represents the 'third week'.

  See Also:
    Constant Field Values

### VALUE_FOURTH

    public static final int VALUE_FOURTH

  The value that represents the 'fourth week'.

  See Also:
    Constant Field Values

### VALUE_FIFTH

    public static final int VALUE_FIFTH

  The value that represents the 'fifth week'.

  See Also:
    Constant Field Values

### FIRST

    public static final RepeatPattern.ByWeek FIRST

  This value represents the 'first week'.

### SECOND

    public static final RepeatPattern.ByWeek SECOND

  This value represents the 'second week'.

### THIRD

    public static final RepeatPattern.ByWeek THIRD

  This value represents the 'third week'.

### FOURTH

    public static final RepeatPattern.ByWeek FOURTH

  This value represents the 'fourth week'.

### FIFTH

    public static final RepeatPattern.ByWeek FIFTH

  This value represents the 'fifth week'.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the i18n resource key name.

  Returns:
    the name

### getValue

    public int getValue()

  Gets the value of the by week.

  Returns:
    the value

### get

    public static RepeatPattern.ByWeek get(int iValue)

  Gets the by weeks by its value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching by week or `null` if not found

### getByWeeks

    public static java.util.List getByWeeks()

  Gets the list of by weeks.

  Returns:
    the list of `ByWeek`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.